---
title: PointerEvent.twist
slug: Web/API/PointerEvent/twist
tags:
  - API
  - DOM
  - Pointer Events
  - PointerEvent
  - Property
  - Reference
  - twist
---
<div>{{ APIRef("Pointer Events") }}</div>

<p>The <strong><code>twist</code></strong> read-only property of the {{domxref("PointerEvent")}} interface represents the clockwise rotation of the pointer (e.g., pen stylus) around its major axis, in degrees.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>twist</em> = <em>pointerEvent</em>.twist;
</pre>

<h3 id="Return_value">Return value</h3>

<p>A <code>long</code> value representing the amount of twist, in degrees, applied to the transducer (pointer). The value is in the range <code>0</code> to <code>359</code>, inclusive. For devices that do not report <code>twist</code>, the value is <code>0</code>.</p>

<h2 id="Example">Example</h2>

<p>When a {{event("pointerdown")}} event is fired, different functions are called depending on the value of the event's <code>twist</code> property.</p>

<pre class="brush: js">someElement.addEventListener('pointerdown', function(event) {
  if (event.twist == 0) {
    // No twist
    process_no_twist(event);
  } else {
    // Default
    process_twist(event);
  }
}, false);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events 2','#dom-pointerevent-twist', 'twist')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.PointerEvent.twist")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("Touch.force") }}</li>
</ul>
